Bug 459300 - hal polls OLPC battery a lot
hal polls OLPC battery a lot
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-08-15 16:21 EDT by Daniel Drake
Modified: 2013-03-05 22:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 12:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
hal-info patch (1.15 KB, patch)
2008-08-15 16:36 EDT, Daniel Drake
no flags Details | Diff
hal-info patch (1.79 KB, patch)
2008-08-15 16:37 EDT, Daniel Drake
no flags Details | Diff
hal patch (3.63 KB, patch)
2008-08-15 16:38 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2008-08-15 16:21:17 EDT
hal-0.5.11-2 in Fedora 9 polls OLPC's battery a lot. This has a negative impact on system performance, particularly touchpad and real-time audio.

Fedora 7's hal didn't do this.

I posted some patches upstream but haven't got any real response. Can we apply them in Fedora's package in the mean time? Or would you prefer that we fork an OLPC-3 branch?
Comment 1 Daniel Drake 2008-08-15 16:36:05 EDT
Created attachment 314414 [details]
hal-info patch
Comment 2 Daniel Drake 2008-08-15 16:37:17 EDT
Created attachment 314415 [details]
hal-info patch
Comment 3 Daniel Drake 2008-08-15 16:38:10 EDT
Created attachment 314417 [details]
hal patch
Comment 4 Daniel Drake 2008-08-22 14:07:21 EDT
No response, so requesting a cvs fork so that we can get this in our rapidly-approaching build

Please create OLPC-3 branches based off F9, cvsextras commit access.


Package Change Request
======================
Package Name: hal
New Branches: OLPC-3


Package Change Request
======================
Package Name: hal-info
New Branches: OLPC-3
Comment 5 Kevin Fenzi 2008-08-23 14:25:57 EDT
Let me see if I can get David's attention before we have to branch this... 
It would be nice not to have to.
Comment 6 Kevin Fenzi 2008-08-25 15:42:56 EDT
Talked with David and he suggested we ask Richard Hughes... 
adding him to cc. ;)
Comment 7 Daniel Drake 2008-08-29 12:42:38 EDT
No response, can we go ahead with the fork anyway?
Comment 8 Kevin Fenzi 2008-08-30 16:44:43 EDT
Yeah, I suppose so. ;( 

cvs done.
Comment 9 Daniel Drake 2008-09-02 12:27:35 EDT
Thanks Kevin, apologies for all these fork requests. I have built the packages now, but will leave this bug open in hope of review for F9/F10/upstream.
Comment 10 Jeremy Katz 2008-10-15 12:03:40 EDT
And this is now upstream
Comment 11 Peter Robinson 2008-10-15 16:07:43 EDT
Will this be pushed out to F-9?

Note You need to log in before you can comment on or make changes to this bug.